#ifndef _RH_IXGBEVF_BACKPORT_COMPAT_H_
#define _RH_IXGBEVF_BACKPORT_COMPAT_H_

#include <linux/skbuff.h>
#include <net/checksum.h>


#define NETIF_F_TSO_MANGLEID 0


static inline unsigned char *skb_checksum_start(const struct sk_buff *skb)
{
	return skb->head + skb->csum_start;
}


static inline void csum_replace_by_diff(__sum16 *sum, __wsum diff)
{
	*sum = csum_fold(csum_add(diff, ~csum_unfold(*sum)));
}

#endif /* #ifndef _RH_IXGBEVF_BACKPORT_COMPAT_H_ */
